Bug 559620 - authorization is broken in SIP scenarios
Summary: authorization is broken in SIP scenarios
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sipp
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-28 15:57 UTC by Peter Lemenkov
Modified: 2010-02-18 22:20 UTC (History)
1 user (show)

Fixed In Version: 3.1-9.svn586.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-05 01:22:11 UTC


Attachments (Terms of Use)

Description Peter Lemenkov 2010-01-28 15:57:30 UTC
When someone tries to use authorization, SIPp generates broken SIP packets. This issue is only observed when SIPp is compiled with Fedora/EPEL default GCC flags, e.g. with

'-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables'

Comment 1 Peter Lemenkov 2010-01-29 15:22:24 UTC
Narrowing problem a little: the issue exists only when "-D_FORTIFY_SOURCE=2" added to CFLAGS.

Comment 2 Peter Lemenkov 2010-01-29 15:25:10 UTC
Note - sipp, compiled with -D_FORTIFY_SOURCE=1, doesn't seem to have this issue.

Comment 3 Fedora Update System 2010-01-29 18:07:32 UTC
sipp-3.1-9.svn586.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sipp-3.1-9.svn586.fc12

Comment 4 Fedora Update System 2010-01-29 18:07:36 UTC
sipp-3.1-9.svn586.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/sipp-3.1-9.svn586.el5

Comment 5 Fedora Update System 2010-01-29 18:07:40 UTC
sipp-3.1-9.svn586.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sipp-3.1-9.svn586.fc11

Comment 6 Fedora Update System 2010-01-29 18:07:44 UTC
sipp-3.1-9.svn586.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/sipp-3.1-9.svn586.el4

Comment 7 Fedora Update System 2010-02-01 01:02:12 UTC
sipp-3.1-9.svn586.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1236

Comment 8 Fedora Update System 2010-02-01 01:11:37 UTC
sipp-3.1-9.svn586.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1265

Comment 9 Fedora Update System 2010-02-03 20:04:47 UTC
sipp-3.1-9.svn586.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0162

Comment 10 Fedora Update System 2010-02-03 20:05:15 UTC
sipp-3.1-9.svn586.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2010-0168

Comment 11 Fedora Update System 2010-02-05 01:22:05 UTC
sipp-3.1-9.svn586.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-02-05 01:33:17 UTC
sipp-3.1-9.svn586.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-02-18 22:19:55 UTC
sipp-3.1-9.svn586.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-02-18 22:20:07 UTC
sipp-3.1-9.svn586.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.